Search found 761 matches

by pierredu
Wed Feb 07, 2018 10:51 am
Forum: Extension Writers Discussion
Topic: How to know phpBB version in getSubscribedEvents?
Replies: 9
Views: 248

Re: How to know phpBB version in getSubscribedEvents?

https://github.com/pierrdu/lmdi_gloss

I commented out the trial code in getSubscribedEvents and the version checking is done in both functions (for 3.1.x and 3.2.x).
by pierredu
Wed Feb 07, 2018 7:50 am
Forum: Extension Writers Discussion
Topic: How to know phpBB version in getSubscribedEvents?
Replies: 9
Views: 248

Re: How to know phpBB version in getSubscribedEvents?

Well, it doesn't work.
Here is the code snippet :

Code: Select all

global $phpbb_container;
if ($phpbb_container->has('core.text_formatter_s9e_render_after'))
{
	var_dump ("True. Version 3.2.");
	// return array...
}
else
{
	var_dump ("False. Version 3.1.");
	// return array...
}
by pierredu
Tue Feb 06, 2018 7:55 pm
Forum: Extension Writers Discussion
Topic: How to know phpBB version in getSubscribedEvents?
Replies: 9
Views: 248

Re: How to know phpBB version in getSubscribedEvents?

Marco,

Thanks a lot.
I'll test and report my findings.
by pierredu
Tue Feb 06, 2018 2:47 pm
Forum: Extension Writers Discussion
Topic: How to know phpBB version in getSubscribedEvents?
Replies: 9
Views: 248

Re: How to know phpBB version in getSubscribedEvents?

I just want to keep my extension running under 3.1.x.
The dirty work is done.
by pierredu
Tue Feb 06, 2018 9:07 am
Forum: Extension Writers Discussion
Topic: How to know phpBB version in getSubscribedEvents?
Replies: 9
Views: 248

How to know phpBB version in getSubscribedEvents?

Hello, In an extension, I have two functions hooking different events depending on phpBB version. But the injected $config is not yet accessible when this function gets executed (still null). Several options : 1. Different versions of the extension 2. Hooking both events and checking at execute time...
by pierredu
Tue Feb 06, 2018 7:12 am
Forum: Extensions in Development
Topic: [3.1][3.2][RC] Glossary 2.0.0
Replies: 334
Views: 16339

Re: [3.1][3.2][RC] Glossary 2.0.0

If you used the former version of the extension and uploaded graphic files to illustrate the glossary items, those files were stored in the folder board/ext/lmdi/gloss/glossaire. On the other hand, if you didn't use graphic files, you can ignore what I said.
by pierredu
Mon Feb 05, 2018 12:53 pm
Forum: Extensions in Development
Topic: [3.1][3.2][RC] Glossary 2.0.0
Replies: 334
Views: 16339

Re: [3.1][3.2][RC] Glossary 2.0.0

I just found this one.

Find
$sql = "alter table ${this->table_prefix}glossary convert to character set utf8 collate utf8_unicode_ci";
and replace with
$sql = "alter table {$this->table_prefix}glossary convert to character set utf8 collate utf8_unicode_ci";

I'll update the repository.
by pierredu
Mon Feb 05, 2018 9:06 am
Forum: Extensions in Development
Topic: [3.1][3.2][RC] Glossary 2.0.0
Replies: 334
Views: 16339

Re: [3.1][3.2][RC] Glossary 2.0.0

Hello, I uploaded a new version (2.0.0) on github (see 1st post). This version brings huge changes because of the examination done by the CDB team (thanks to them). In particular, I thought it was fine to store the pictures within the extension folder. It appears that those files should be stored in...
by pierredu
Fri Feb 02, 2018 7:46 am
Forum: Extension Writers Discussion
Topic: Invalid CSS selector
Replies: 8
Views: 280

Re: Invalid CSS selector

I didn't say this was the (main) reason.
But this was the one which let me think the most about it.
by pierredu
Thu Feb 01, 2018 7:38 pm
Forum: Extension Writers Discussion
Topic: Invalid CSS selector
Replies: 8
Views: 280

Re: Invalid CSS selector

Thanks for your comments. Since it seemed me to be stated as a principle problem, for which I could not find a reliable source, I thought this would be an interesting matter for this forum. @Ger: You're correct about the line. There is another variant where there is also a title element. I was think...
by pierredu
Thu Feb 01, 2018 2:21 pm
Forum: Extension Writers Discussion
Topic: Invalid CSS selector
Replies: 8
Views: 280

Re: Invalid CSS selector

Thanks to both of you. IMHO, it can't be a class, because I have to put in the tag a title element, when this feature is enabled. I can't either use an id tag because there can be several items with the same gloss_id in a post or in a topic. Therefore, I have to use a rather general element. This el...
by pierredu
Thu Feb 01, 2018 12:26 pm
Forum: Extension Writers Discussion
Topic: Invalid CSS selector
Replies: 8
Views: 280

Invalid CSS selector

Hello, My glossary extension was denied, in part, because I use in my css file a type selector ldmigloss , defined as lmdigloss { text-decoration: none; cursor: help; color:#865931; } For instance, this gives following result: <lmdigloss class="id253">tarse</lmdigloss> , where the id is the entry nu...
by pierredu
Thu Feb 01, 2018 9:59 am
Forum: Extension Writers Discussion
Topic: [Dev-Change] phpbb\controller\helper::url() removed
Replies: 3
Views: 2046

Re: [Dev-Change] phpbb\controller\helper::url() removed

Does somebody know where is this test file?
Or maybe a pointer to sample code for those functions?
Thanks in advance.
by pierredu
Sun Jan 28, 2018 9:37 am
Forum: phpBB Custom Coding
Topic: Operation on submit_post
Replies: 4
Views: 222

Re: Operation on submit_post

You could explain, for the benefit of curious readers.

Go to advanced search